/*--------------------------------------------*/
/*  DisableMenu - Ausschalten von Mens       */
/*  Dr. Rainer Sieger, AWI-Bremerhaven        */
/*  17.12.96                                  */
/*  Windows only                            */
/*--------------------------------------------*/

#include <windows.h>

#include "Win_GUI.h"
#include "DisableMenu.h"

void DisableMenu (HWND hwnd, HMENU hMenu, 
				 										 HMENU hSubMenuFile, 
														 HMENU hSubMenuEdit,
								             HMENU hSubMenuOptions)
{
			HMENU not_used1 = hSubMenuEdit;
			HMENU not_used2 = hSubMenuOptions;
			
      EnableMenuItem(hMenu, IDM_SAVEAS, MF_GRAYED);  		              // Save data
      EnableMenuItem(hMenu, IDM_EXPORT, MF_GRAYED);			              // ExportPict
      EnableMenuItem(hMenu, IDM_PAGESETUP, MF_GRAYED);                // Page Setup
      EnableMenuItem(hMenu, IDM_PRINT, MF_GRAYED);                    // Print
      EnableMenuItem(hSubMenuFile, 12, MF_GRAYED | MF_BYPOSITION);	  // Templates
      EnableMenuItem(hMenu, IDM_SAVEPREFS, MF_GRAYED);		            // Preferences

      EnableMenuItem(hMenu, 1,MF_GRAYED | MF_BYPOSITION);	            // Editmenue
      EnableMenuItem(hMenu, 2,MF_GRAYED | MF_BYPOSITION);	            // Optionmenue

      DrawMenuBar(hwnd);
}      
      

void DisableEditMenu (HMENU hSubMenuEdit)
{
      EnableMenuItem(hSubMenuEdit, IDM_UNDO, MF_GRAYED);  		   // Undo
      EnableMenuItem(hSubMenuEdit, IDM_CUT, MF_GRAYED);				   // Cut
      EnableMenuItem(hSubMenuEdit, IDM_COPY, MF_GRAYED);				 // Copy
      EnableMenuItem(hSubMenuEdit, IDM_PASTE, MF_GRAYED);        // Paste
      EnableMenuItem(hSubMenuEdit, IDM_CLEAR, MF_GRAYED);        // Clear
}

