/*********************************************************************
*                                                                    *
*     ExtractData.c                                                  *
*                                                                    *
*     Programmautor: Rainer Sieger, Universitaet Bremen              *
*     Datei erstellt am: 9.5.96                                      *
*     11.04.2000                                                     *
*                                                                    *
*********************************************************************/

#include <string.h>
#include <windows.h>

#include "Struct.h"
#include "Globals.h"

#include "Win_GUI.h"

#include "strtofloat.h"
#include "replaceStr.h"
#include "CheckData.h"
#include "ExtractData.h"
#include "Julday.h"

/*********************************************************************
**********************************************************************
*********************************************************************/
      
int ExtractData (int NumOfParameters, int EL, unsigned long i)
{  
	int							err			= 0;
	int							length	= 0;	 	
	int							j				= 0;
		
	unsigned long		k				= 0;

	char						*p;
	char						*q;

	int							Year, Month, Day;
	int							Hour, Minute;
	float						Second;

	float						Date = (float) 0.;
	float						Time = (float) 0.;	 
	 
// ******

	strcat(InputStr,"\t");

	for (j=1;j<=EL;j++)
	{
		if ((p = strchr(InputStr, (int) '\t')) != NULL)
			strcpy(InputStr,p+1);
	}
 	 	
// ******
// Abzisse

  if ((p = strchr(InputStr, (int) '\t')) != NULL)
  {
   	if ((p-InputStr) > 0) 
   	{
   	  if (i <= 1)
   	  {
			  Date = (float) 0.;
			  DateOffset = (float) 0.;

				if ((isDate = StrToDate(InputStr,&Year,&Month,&Day)) > 0)
  			{
				  Date       = (float) CalcJulDay(Year,Month,Day);
				  DateOffset = Date;
				}
				
			  Time = (float) 0.;

				if ((isTime = StrToTime(InputStr,&Hour,&Minute,&Second)) > 0)
  			  Time = CalcJulTime(Hour,Minute,Second);
			}    
			else
			{
   	  	if (isDate != 0)
   	  	{
  				if ((isDate = StrToDate(InputStr,&Year,&Month,&Day)) > 0)
				  	Date = (float) CalcJulDay(Year,Month,Day);
				}
			
   	  	if (isTime != 0)
   	  	{
	 				if ((isTime = StrToTime(InputStr,&Hour,&Minute,&Second)) > 0)
  				  Time = CalcJulTime(Hour,Minute,Second);
	 			}    
			}
			
			if ((isDate == 0) && (isTime == 0))
			{
        if (!strtofloat(InputStr,&Q[i].V,&Q[i].F))
          return(-1);
      }
      else
			{
	  		Q[i].V = Date - DateOffset + Time;				    
			}
   	}		
  	else
		{
  	  return(-1);
		}
  }	  	
  else
	{
    return(-1);
	}   

// ******
// Parameter

   j = 0;
   
	 while (++j <= NumOfParameters)
	 {
		 if (p != NULL)
		 {
		 	 strcpy(InputStr,p+1);
			 p = strchr(InputStr, (int) '\t');
		 }

		 if (j <= NumOfParameters)
	 	 {
	     if ((p-InputStr) > 0)
			 {
			 	  k = C[j].Offset - Q[C[j].Offset].I + i;
	 
					if ((strtofloat(InputStr,&Q[k].V,&Q[k].F)) && (ST[j].RGB < 1))
	        {
        		C[j].counts++;
   	  			Q[k].I = (long) i;
	   	  	}	
	   	  	else
	   	  	{
						if ( strstr((char *) InputStr,"http://doi.pangaea.de/10.1594/PANGAEA.") != NULL )
						{
							strcpy(TempStr,InputStr);
							err = replaceStr((char *) TempStr,"http://doi.pangaea.de/10.1594/PANGAEA.","");

							if ((strtofloat(TempStr,&Q[k].V,&Q[k].F)) && (ST[j].RGB < 1))
							{
        				C[j].counts++;
   	  					Q[k].I = (long) i;
	   	  			}
						}
	   	  		else
	   	  		{
							Q[C[j].Offset].I++;

							if (gNumOfComments < gMaxCData)
	   	  	 		{
								++gNumOfComments;						
	   	  	 	 		T[gNumOfComments].Parameter = j;
	   	  	 	 		T[gNumOfComments].Depth     = Q[i].V;
								q      = strchr(InputStr, (int) '\t');
								length = (int) (q-InputStr);

								if (length > 80)
									length = 80;

								strncpy((char *) T[gNumOfComments].Text,InputStr,(unsigned int) length);
	   	  	 		}	 
	   	  		} 
					}
			 }
			 else
			 {
		     Q[C[j].Offset].I++;
			 }
  	 }            
   }

	 return(j-1);
}	 
	 

