/*-------------------------------------*/
/*  ForeColor.c                        */
/*  Dr. Rainer Sieger, AWI-Bremerhaven */
/*  04.09.97                           */
/*-------------------------------------*/

#include <windows.h>

#include "Struct.h"
#include "Globals.h"

#include "ForeColor.h"

void SetRGBForeColor(HDC hdc, RGBColor Farbe)
{
  DeleteObject (SelectObject (hdc, GetStockObject(BLACK_PEN)));
 	SelectObject (hdc, CreatePen (PS_SOLID, 1, RGB (Farbe.red,Farbe.green,Farbe.blue))); 
}

void ResetRGBForeColor(HDC hdc)
{
  DeleteObject (SelectObject (hdc, GetStockObject(BLACK_PEN)));
}

