/*********************************************************************
*                                                                    *
*     PlotCourse.c - Plot Kurs                                       *
*                                                                    *
*     Programmautor: Rainer Sieger, Universitaet Bremen, SFB261      *
*     Datei erstellt am: 10.02.98                                    *
*     Letzte Aenderung: 03.04.99                                     *
*                                                                    *
*********************************************************************/

#include <string.h>
#include <stdio.h>
#include <windows.h>

#include "Struct.h"
#include "Globals.h"

#include "Win_GUI.h"

#include "SetMouseCursor.h"
#include "Plotter.h"
#include "SetPoint.h"
#include "PutText.h"
#include "Font.h"
#include "Graphic.h"

void PlotCourseV(HDC hdc,float F)
{
  unsigned long  i     = 0;    
  unsigned long  k     = 0;
  unsigned long  k1    = 0;
  unsigned long  k2    = 0;
  
	int		j			= 0;
	int		l			= 0;

  int   P1    = 0;
  int   P2    = 0;
  int   P13   = 0;
  int   P24   = 0;
  
  int   Mx    = 0;
  int   My    = 0;
  float m     = (float) 0.;

  float V1    = (float) 0.;
  float V2    = (float) 0.;

// ***********************************************

	SetWaitMouseCursor();
    
  while (++j<=MAXNUMOFPARAMETERS)
  {
    if ((ST[j].PlotCourse > 0) && (C[j].counts > 0))
    {
      k   = C[j].Offset;
      k1  = C[j].Offset;
      k2  = C[j+1].Offset;
      P1  = C[j].P[1];
      P2  = C[j].P[2];
      P13 = P1 + C[j].P[3];
      P24 = P2 + C[j].P[4];
        
      m   = (float) (C[j].P[3]/2);
      Mx  = P1 + C[j].P[3]/2;

      for (i=k+1;i<=k+C[j].counts;i++)
      {
				k1++; k2++;

				if ((Q[i].I >= 0) && (Q[k1].I > 0) && (Q[k2].I > 0))
        {
          My  = (int) yinpy(C[j].K[3],C[j].K[4],Q[Q[i].I].V);
          V1 = Q[k1].V;
	        V2 = Q[k2].V;
		
					CWinkel(hdc,V1,V2,ST[j+1].max,Mx,My,m,ST[j].LineWidth*(int) F,ST[j].Color);
          CPlotMarker(hdc,Mx,My,BLACK,ST[j].MSize,ST[j].MLineWidth,ST[j].MSymbol);

          if (My > P24) 
            i = k + C[j].counts + 1;
        }          
      }
    }

		if (++l >= gNumOfParameters)
			j = MAXNUMOFPARAMETERS;
	}

	SetDefaultMouseCursor();
}

// ***********************************************
// ***********************************************
// ***********************************************

void PlotCourseH(HDC hdc,float F)
{
  unsigned long  i     = 0;    
  unsigned long  k     = 0;
  unsigned long  k1    = 0;
  unsigned long  k2    = 0;
  
	int		j			= 0;
	int		l			= 0;

  int   P1    = 0;
  int   P2    = 0;
  int   P13   = 0;
  int   P24   = 0;
  
  int   Mx    = 0;
  int   My    = 0;
  float m     = (float) 0.;

  float V1    = (float) 0.;
  float V2    = (float) 0.;

// ***********************************************

  SetWaitMouseCursor();

  while (++j<=MAXNUMOFPARAMETERS)
  {
    if ((ST[j].PlotCourse > 0) && (C[j].counts > 0))
    {
      k   = C[j].Offset;
      k1  = C[j].Offset;
      k2  = C[j+1].Offset;
      P1  = C[j].P[1];
      P2  = C[j].P[2];
      P13 = P1 + C[j].P[3];
      P24 = P2 + C[j].P[4];
        
      m   = (float) (C[j].P[4]/2);
      My  = P2 + C[j].P[4]/2;

      for (i=k+1;i<=k+C[j].counts;i++)
      {
				k1++; k2++;

				if ((Q[i].I >= 0) && (Q[k1].I > 0) && (Q[k2].I > 0))
        {
          Mx  = (int) xinpx(C[j].K[1],C[j].K[2],Q[Q[i].I].V);
          V1 = Q[k1].V;
	        V2 = -Q[k2].V;
		
					CWinkel(hdc,V1,V2,ST[j+1].max,Mx,My,m,ST[j].LineWidth*(int) F,ST[j].Color);
          CPlotMarker(hdc,Mx,My,BLACK,ST[j].MSize,ST[j].MLineWidth,ST[j].MSymbol);

					if (Mx > P13) 
            i = k + C[j].counts + 1;
        }   
      }
    }

		if (++l >= gNumOfParameters)
			j = MAXNUMOFPARAMETERS;
	}

	SetDefaultMouseCursor();
}

