// **************************************************
//     SetPaperSize - Automatische Anpassung an Drucker
//     Dr. Rainer Sieger, AWI-Bremerhaven
//     21.10.2000
// **************************************************

#include <windows.h>

#include "Struct.h"
#include "Globals.h"

#include "SetPaperSize.h"
#include "Win_GUI.h"


void SetPaperSize (int PaperWidth, int PaperHeight)
{
  float   Faktor       = (float) 0.;
  int     Orientierung = 0;      

// **************************************************

	if (PaperHeight < PaperWidth)
    Orientierung = 1;  // Landscape
  else
    Orientierung = 0;  // Portrait;

	Faktor = (float) gDataPlotWindowWidth / (float) gDataPlotWindowHeight;
        
  if (Orientierung == 0)
  {
  	if (Faktor > 1)
  	{
			gDataPlotWindowWidth  = PaperWidth;
			Faktor								= (float) gDataPlotWindowWidth / Faktor;
			gDataPlotWindowHeight = (int) Faktor;

			if (gDataPlotWindowHeight > PaperHeight)
	  		gDataPlotWindowHeight = PaperHeight;
		}
		else
		{
		 	gDataPlotWindowHeight = PaperHeight;
	  	Faktor								= (float) gDataPlotWindowHeight * Faktor;
	  	gDataPlotWindowWidth	= (int) Faktor;

	  	if (gDataPlotWindowWidth > PaperWidth)
	  		gDataPlotWindowWidth = PaperWidth;
	  }	
  }
  else
  {
  	if (Faktor > 1)
  	{
		  gDataPlotWindowWidth  = PaperWidth;
		  Faktor								= (float) gDataPlotWindowWidth / Faktor;
	  	gDataPlotWindowHeight = (int) Faktor;
	
			if (gDataPlotWindowHeight > PaperHeight)
	  		gDataPlotWindowHeight = PaperHeight;
		}
		else
		{
			gDataPlotWindowHeight = PaperHeight;
			Faktor								= (float) gDataPlotWindowHeight * Faktor;
			gDataPlotWindowWidth  = (int) Faktor;

			if (gDataPlotWindowWidth > PaperWidth)
	  		gDataPlotWindowWidth = PaperWidth;
		}	
  }
}  		

