/*********************************************************************
*                                                                    *
*     SetPosition                                                    *
*     Bildschirmkoordinaten der einzelnen Plots (14.9.95)            *
*                                                                    *
*     Programmautor: Rainer Sieger, Universitaet Bremen, SFB261      *
*     Datei erstellt am: 13.11.95                                    *
*     Letzte Aenderung: 05.01.2001                                   *
*                                                                    *
*********************************************************************/

#include <string.h>
#include <stdio.h>
#include <math.h>

#include <windows.h>

#include "Struct.h"
#include "Globals.h"

#include "Win_GUI.h"
#include "Ezfont.h"

#include "CalcFontSize.h"
#include "SplitHeader.h"
#include "Plotter.h"
#include "Font.h"
#include "floattostr.h"

int SetPositionT(HDC hdc)
{
	float width  = (float) 0;
	float height = (float) 0;
	float b2		 = (float) 0;
						
	int   OK		 = 0;

	int		Uy		 = 0;

// ******

	SetFont(hdc,(char *) Font,GFontSize,BOLD,0);
	xTitleHeight = FontHeight(hdc);
	
	width = (float) (gDataPlotWindowWidth - 3*RLT - 3*RRT) * (float) 0.75;	

	while (!OK)
	{
		b2     = (float) width/(float) 2.;
	
		height  = width*width - b2*b2;
		height  = (float) sqrt((double) height);

		Uy = 3*ROT + 2*xTitleHeight + (int) height;	
	
		if ((Uy + 2*xTitleHeight + RUT) > (gDataPlotWindowHeight-15))
			width -= (float) 10.;
		else
			OK = 1;
	}

	C[0].P[1] = 3*RLT;
	C[0].P[2] = Uy;
	C[0].P[3] = (int) width;
	C[0].P[4] = (int) height; 
	
  return(FontSize);  
}
 


