/* Dr. Rainer Sieger, AWI Bremerhaven       /
/  letztes Editierdatum: 22.07.97           /
/  Macintosh                                /
/  Windows                                 */

#include <string.h>

#include <windows.h>

#include "Struct.h"
#include "Globals.h"

#include "SplitHeader.h"

void SplitHeader (char *Header, char *Group, char *Title, char *Unit)
{
	int			length = 0;
	char    *p;

	memset((char *) Group, '\0', 81);
	memset((char *) Title, '\0', 81);
	memset((char *) Unit, '\0', 81);

	strcpy(TempStr, Header);

	if ((p = strstr(TempStr, "@")) != NULL)
	{
		strcpy((char *) Group, p+1);
		*p = '\0';				
	}

	if ((p = strstr(TempStr, " (")) != NULL)
	{
		length = (int) strlen(p);
		strcpy((char *) Unit, ++p);
	}

	if ((p = strstr(TempStr, " [")) != NULL)
	{
		length = (int) strlen(p);
		strcpy((char *) Unit, ++p);
	}

	if (length > 2)
		strncpy((char *) Title, TempStr, strlen(TempStr)-length);
	else
		strcpy((char *) Title, TempStr);
}

