/*--------------------------------------------*/
/*  CheckMemory - Ausgabe einer Fehlermeldung */
/*  Dr. Rainer Sieger, AWI-Bremerhaven        */
/*  Letzte Aenderung: 01.08.2007              */
/*  Windows                                   */
/*--------------------------------------------*/

#include <Windows.h>

#include "struct.h"
#include "globals.h"

#include "Win_GUI.h"
#include "Win_Dialog.h"

#include "CheckMemory.h"

void CheckMemory (unsigned long Memory)
{
	int  err = 0;

	if (Hardware == MacOS)
	{
		Memory = Memory/1024+50;
 		err = Do_Error_Dialog (0, rOutOfMemory, Memory);
 	}	
}		

void CheckPICTMemory (unsigned long Memory)
{
	int  err = 0;

	if (Hardware == MacOS)
	{
		Memory = Memory/1024;
 		err = Do_Error_Dialog (0, rOutOfPICTMemory, Memory);
 	}	
}		

