/*********************************************************************
*                                                                    *
*     CalcNumOfGroups                                                *
*                                                                    *
*     Programmautor: Rainer Sieger, Universitaet Bremen              *
*     Datei erstellt am: 9.5.96                                      *
*     Letzte Aenderung: 10.03.99                                     *
*                                                                    *
*********************************************************************/

#include <windows.h>
#include <string.h>

#include "Struct.h"
#include "Globals.h"

#include "CalcNumOfGroups.h"
#include "SplitHeader.h"


/*********************************************************************
**********************************************************************
*********************************************************************/
      
int CalcNumOfGroups(int NumOfParameters)
{
  int    	i						= 1;
	int			j						= 1;

	Str80   Group			  = "";
	Str80   Title				= "";
  Str80   Unit				= "";
  Str80   DummyTitle  = "";
  Str80   DummyGroup  = "";

/********************************************************************/

	SplitHeader((char *) C[i].Header, (char *) DummyGroup, (char *) DummyTitle, (char *) Unit); 
	C[j].NumOfParametersInGroup++;

	while (++i <= NumOfParameters)
	{
	 	SplitHeader((char *) C[i].Header, (char *) Group, (char *) Title, (char *) Unit); 

		if (strlen((char *) Group) > 0)
		{
			if (!strcmp((char *) DummyGroup, (char *) Group))
				C[j].NumOfParametersInGroup++;
			else
			{
				strcpy((char *) DummyGroup, (char *) Group);
				C[++j].NumOfParametersInGroup++;
			}
		}
		else
		{
			if (strcmp((char *) DummyTitle, (char *) Title))
				C[j].NumOfParametersInGroup++;
			else
				C[++j].NumOfParametersInGroup++;
		}
	}

	return(j);
}
