/*---------------------------------------------*/
/*  CalcScale - Berechnung der Hoehe der Scale */
/*  Dr. Rainer Sieger, Universitaet Bremen     */
/*  10.01.2000                                 */
/*---------------------------------------------*/

#include <windows.h>

#include "Win_GUI.h"

#include "Struct.h"
#include "Globals.h"

#include "minmax.h"
#include "Plotter.h"

int CalcScale (void)
{      
	int   j      = 0;
	int   a      = 0;
	int   b      = 0;
	int   Scale  = 0;
	
	float F      = (float) 0.;
	float fDummy = (float) 0.;

// **************************************************************

	F = (float) cxDpi/ScreenDpi;

	while (++j <= MAXNUMOFPARAMETERS)
	{
		if (ST[j].PlotData > 0) 
		{
			a = C[j].P[3]/40;
			b = C[j].P[4]/40;

			if (a < 0) 
				a = -a;

			if (b < 0) 
				b = -b;
			
			Scale = min(a,b);
			
			if (Scale < (float) 6.*F) 
				Scale = (int) ((float) 6.*F);
			
			j = MAXNUMOFPARAMETERS;
		}
	}

	if (Scale > MSL)
		Scale = MSL;

	return ( Scale );
}



