/*--------------------------------------------*/
/*  CalcValue - Test eines Valuees             */
/*  Dr. Rainer Sieger, AWI-Bremerhaven        */
/*  30.5.2002                                 */
/*  Macintosh                                 */
/*  Windows                                   */
/*--------------------------------------------*/

#include <windows.h>

#include "Struct.h"
#include "Globals.h"

#include "CheckData.h"
#include "CalcValue.h"

/*--------------------------------------------*/

int PlotDataFlag(int j, int Flag)
{
	int	PlotData = 0;
	  
  switch (Flag)
  {
      	case 1: // valid
      		if (ST[j].ShowValid>0)
		      	PlotData = 1;
  				break;    			
      	case 2: // not valid
      		if (ST[j].ShowNotValid>0)
		      	PlotData = 1;
  				break;    			
      	case 3: // unknown
      		if (ST[j].ShowUnknown>0)
		      	PlotData = 1;
  				break;    			
      	case 4: // questionabel
      		if (ST[j].ShowQuestionable>0)
		      	PlotData = 1;
  				break;    			
      	case 5: // missing values
      		if (ST[j].ShowMissingData>0)
		      	PlotData = 1;
  				break;    			
      	default:
	      	PlotData = 0;
	      	break;
  }  
  return(PlotData);
}

/*--------------------------------------------*/
/*--------------------------------------------*/
/*--------------------------------------------*/

float CalcValue(unsigned long i, int j, int add, unsigned long *k, int *PlotData)
{
  int     l    = 0;
  float   Value = (float) 0.;
                
  *PlotData = 0;
  
  if (add == 0)
  {
	  *k = C[j].Offset + i;
	  if (Q[*k].I > 0)
	  {
      Value    	= Q[*k].V;
      switch (Q[*k].F)
      {
      	case 1: // valid
      		if (ST[j].ShowValid>0)
		      	*PlotData = 1;
  				break;    			
      	case 2: // not valid
      		if (ST[j].ShowNotValid>0)
		      	*PlotData = 1;
  				break;    			
      	case 3: // unknown
      		if (ST[j].ShowUnknown>0)
		      	*PlotData = 1;
  				break;    			
      	case 4: // questionabel
      		if (ST[j].ShowQuestionable>0)
		      	*PlotData = 1;
  				break;    			
      	case 5: // missing values
      		if (ST[j].ShowMissingData>0)
		      	*PlotData = 1;
  				break;    			
      	default:
	      	*PlotData = 0;
	      	break;
      }	
    }  
  	return(Value);
  }
  
  if (add > 0)
  {
  	for(l=0;l<=add;l++)
  	{
	  	*k = C[j+l].Offset + i;
	  	if (Q[*k].I > 0)
	  	{
      	Value     += Q[*k].V;
      	*PlotData = 1;
    	}  
  	}  
  	return(Value);
  }
  
  if (add < 0)
  {
  	l = -add;
	  *k = C[j+l].Offset + i;
	  if (Q[*k].I > 0)
	  {
      Value    	= Q[*k].V;
      *PlotData = 1;
    }  
  	return(Value);
  }  	
	return(Value);
}

