/*********************************************************************
*                                                                    *
*     Do_SetAllMenu                                                  *
*                                                                    *
*     Programmautor: Rainer Sieger, Alfred-Wegener-Institut          *
*     Datei erstellt am: 12.08.2007                                  *
*     Letzte nderung: 12.08.2007		                                 *
*                                                                    *
*********************************************************************/
      
#include <windows.h>
#include <stdio.h>

#include "Struct.h"
#include "Globals.h"

#include "Win_GUI.h"
#include "Dialog.h"
#include "SetMemory.h"

// ******************************************************************

BOOL CALLBACK Do_SetMemoryDialog (HWND hDlg, UINT iMsg, WPARAM wParam, LPARAM lParam)
{
	char        iFormatStr[32]			= "%ld";

	BOOL        err									= TRUE;

	static unsigned long	MaxCData	= 0;
	static unsigned long	MaxMData	= 0;

	static HWND hMemoryNumeric   		= NULL;
	static HWND	hEditMemoryNumeric	= NULL;

	static HWND hMemoryText   			= NULL;
	static HWND	hEditMemoryText			= NULL;

// *************************************************************************

	switch (iMsg)
	{
		case WM_INITDIALOG :
			MaxMData = IntegerDialog(hDlg, IDC_MEMORYNUMERIC, Set, iFormatStr, gMaxMData, err);
			MaxCData = IntegerDialog(hDlg, IDC_MEMORYTEXT, Set, iFormatStr, gMaxCData, err);

		case WM_COMMAND :
			switch (LOWORD (wParam))
			{
				case IDOK :
					gMaxMData = IntegerDialog(hDlg, IDC_MEMORYNUMERIC, Change, iFormatStr, MaxMData, err);
					gMaxCData = IntegerDialog(hDlg, IDC_MEMORYTEXT, Change, iFormatStr, MaxCData, err);
					EndDialog (hDlg, TRUE);
					return TRUE;
					break;

				case IDC_MEMORYNUMERIC :
					if (!(err = CheckValue(hDlg, IDC_MEMORYNUMERIC)))
						MaxMData = IntegerDialog(hDlg, IDC_MEMORYNUMERIC, Set, iFormatStr, MaxMData, err);
					else
						MaxMData = IntegerDialog(hDlg, IDC_MEMORYNUMERIC, Change, iFormatStr, MaxMData, err);
					return TRUE;
					break;

				case IDC_MEMORYTEXT :
					if (!(err = CheckValue(hDlg, IDC_MEMORYTEXT)))
						MaxCData = IntegerDialog(hDlg, IDC_MEMORYTEXT, Set, iFormatStr, MaxCData, err);
					else
						MaxCData = IntegerDialog(hDlg, IDC_MEMORYTEXT, Change, iFormatStr, MaxCData, err);
					return TRUE;
					break;

				case IDCANCEL :
					EndDialog (hDlg, FALSE);
					return TRUE;
					break;

				default:
					break;
			}
			break;

		case WM_PAINT :
			break;

		default:
			break;
	}

	return FALSE;
}
