/*********************************************************************
*                                                                    *
*     ExtractHeader.c                                                *
*                                                                    *
*     Programmautor: Rainer Sieger, Universitaet Bremen              *
*     Datei erstellt am: 9.5.96                                      *
*     03.01.2000                                                     *
*                                                                    *
*********************************************************************/

#include <windows.h>
#include <string.h>
#include <stdio.h>

#include "Struct.h"
#include "Globals.h"

#include "Win_GUI.h"

#include "ExtractHeader.h"
#include "replaceStr.h"

/*********************************************************************
**********************************************************************
*********************************************************************/

int ExtractHeader(int NumOfParameters, char *HeaderStr)
{      
	int     j						= 0;
	int     m						= 0;
	int     n						= 0;
	  
	int     length			= 0;

	int     HeaderMode	= 0;

	char    *p;

// ******

	strcat(HeaderStr,"\t");
   
// ******
// Title und Unit der Abzisse

	if ((p = strchr(HeaderStr, (int) '\t')) != NULL)
	{
		if ((length = (int) (p-HeaderStr)) > 80)
			length = 80;

		if (length < 1)
			HeaderMode = 1;

		memset((char *) C[0].Header, (int) '\0', 81);
		strncpy((char *) C[0].Header, (char *) HeaderStr, (unsigned int) length); 
	}    
	else
	{
		return(0);
	}   

// ******
// Title und Unit der einzelnen Parameter

	while ((p != NULL) && (++m <= NumOfParameters))
	{
		strncpy(HeaderStr,p+1,strlen(p));

		if ((p = strchr(HeaderStr, (int) '\t')) != NULL)
		{
			if (!HeaderMode)
			{
				if ((length = (int) (p-HeaderStr)) > 79)
					length = 79;

				strcpy((char *) TempStr, (char *) C[m].Header);
				memset((char *) C[m].Header, (int) '\0', 81);
				strncpy((char *) C[m].Header, (char *) HeaderStr, (unsigned int) length); 

				if (strlen((char *) TempStr) > 0)
					strcat((char *) C[m].Header, "@");

				length = 80 - (int) strlen((char *) C[m].Header);
				strncat((char *) C[m].Header, (char *) TempStr, (unsigned int) length);
			}
			else
			{
				if ((length = (int) (p-HeaderStr)) > 80)
					length = 80;

				memset((char *) C[m].Header, (int) '\0', 81);
				strncpy((char *) C[m].Header, (char *) HeaderStr, (unsigned int) length); 
			}
		} 
	}     
   
// ******

	if (HeaderMode > 0)
	{
		for (j=1;j<=m;j++)
		{
			if ((p = strchr((char *) C[j].Header, (int) '|')) != NULL)
				*p = '\0';
		}

		for (j=1;j<=m;j++)
		{
			if ((p = strrchr((char *) C[j].Header, (int) '.')) != NULL)
				*p = '\0';
		}

		for (j=1;j<=m;j++)
 			strcpy((char *) C[j].GroupName, (char *) C[j].Header);
	}

  return(HeaderMode);
}      



