/***********************************************************************
*                                                                      *
*    Datei                                                             *
*      PutText                                                         *
*                                                                      *
************************************************************************
************************************************************************
*                                                                      *
*    Programmautor                                                     *
*      Dr. Rainer Sieger                                               *
*      Alfred-Wegener-Institut fr Meeres- und Polarforschung          *
*      Postfach 12 01 61                                               *
*      27515 Bremerhaven                                               *
*      e-mail: Rainer.Sieger@awi.de				                             *
*                                                                      *
************************************************************************
*                                                                      *
*    letztes Editierdatum                                              *
*      02.02.2000                                                      *
*									                                                     *
***********************************************************************/

#include <windows.h>
#include <string.h>

#include "Struct.h"
#include "Globals.h"

#include "Font.h"
#include "PutText.h"


void CPutText(HDC hdc, char *szText, int x, int y, int Height, int alignment, RGBColor Farbe)
{
	if (alignment == RIGHT)
		SetTextAlign(hdc,TA_RIGHT);

	if (alignment == LEFT)
		SetTextAlign(hdc,TA_LEFT);

	if (alignment == CENTER)
		SetTextAlign(hdc,TA_CENTER);

	SelectObject (hdc, CreatePen (PS_SOLID, 1, RGB (Farbe.red, Farbe.green, Farbe.blue)));
	TextOut (hdc, x, y - Height, szText, (int) strlen(szText));
	DeleteObject (SelectObject (hdc, GetStockObject(BLACK_PEN)));
}
      
void PutText(HDC hdc, char *szText, int x, int y, int Height, int alignment)
{
	if (alignment == RIGHT)
		SetTextAlign(hdc,TA_RIGHT);
	
	if (alignment == LEFT)
		SetTextAlign(hdc,TA_LEFT);
	
	if (alignment == CENTER)
		SetTextAlign(hdc,TA_CENTER);

	TextOut (hdc, x, y - Height, szText, (int) strlen(szText));
}      

void PutTextR(HDC hdc, char *szText, int x, int y, int Height, int alignment)
{
    if (alignment == RIGHT)
      SetTextAlign(hdc,TA_RIGHT);

		if (alignment == LEFT)
      SetTextAlign(hdc,TA_LEFT);

		if (alignment == CENTER)
      SetTextAlign(hdc,TA_CENTER);

		TextOut (hdc, x, y - Height, szText, (int) strlen(szText));
}      

