/*-----------------------------------------------*/
/*  SetPlotData - Setzen des Parameters PlotData */
/*  Dr. Rainer Sieger, Universitaet Bremen       */
/*  06.11.98                                     */
/*  Macintosh                                    */
/*  Windows                                      */
/*-----------------------------------------------*/

#include <windows.h>

#include "Win_GUI.h"

#include "Struct.h"
#include "Globals.h"

#include "SetPlotData.h"

int SetPlotData(int j)
{
	int PD    = 0;
	int NewPD = 0;

// **************************************************

	ST[j].PlotData = 0;
	
	PD  = ST[j].PlotMarker + ST[j].PlotLine + ST[j].Colorize;
	PD += ST[j].PlotCHistogramm + ST[j].PlotLHistogramm + ST[j].PlotBounds;
	PD += ST[j].PlotOHistogramm + ST[j].RGB + ST[j].PlotLitho;	     
  PD += ST[j].PlotText + ST[j].PlotOccurrence + ST[j].PlotCourse + ST[j].PlotComment;

	if (PD > 0)
		ST[j].PlotData = 1;

	NewPD  = ST[j].PlotText + ST[j].PlotOccurrence + ST[j].PlotComment;	
	NewPD += ST[j].PlotBounds + ST[j].PlotLitho + ST[j].PlotCourse;

	if ((NewPD == PD) && (NewPD > 0) && (ST[j].PlotData > 0))
		ST[j].PlotData = 2;	      
		
	if (ST[j].PlotData > 0)
		return(1);
	else
		return(0);
}

