/*********************************************************************
*                                                                    *
*     SetPosition                                                    *
*     Bildschirmkoordinaten der einzelnen Plots (14.9.95)            *
*                                                                    *
*     Programmautor: Rainer Sieger, Universitaet Bremen. SFB261      *
*     Datei erstellt am: 13.11.95                                    *
*     Letzte Aenderung: 05.01.2001                                   *
*                                                                    *
*********************************************************************/

#include <string.h>
#include <stdio.h>
#include <math.h>

#include <windows.h>

#include "Struct.h"
#include "Globals.h"

#include "Win_GUI.h"
#include "Ezfont.h"

#include "CalcFontSize.h"
#include "SplitHeader.h"
#include "Plotter.h"
#include "Font.h"
#include "floattostr.h"
#include "PutText.h"

int SetPositionP(HDC hdc)
{
	int   OK		 = 0;

	int		height = 0;
						
	int   Ux		 = 0;
	int	  Uy		 = 0;

	int		TitleWidth = 0;
	
// ******

	height = (int) ((gDataPlotWindowWidth - 3*RLT - 3*RRT) * (float) 0.75);

	SetFont(hdc,(char *) Font,GFontSize,BOLD,0);
	xTitleHeight = FontHeight(hdc);
	TitleWidth   = CalcTextWidth(hdc, "270",0,(int) strlen("270"));
	
	while (!OK)
	{
		Uy = ROT + 4*xTitleHeight + height + 3*RUT;

		if (Uy > gDataPlotWindowHeight)
			height -= 10;
		else
			OK = 1;
	}

	Ux  = 3*RLT + TitleWidth + height/2;// xTitleHeight +;				// X Ursprung
  Uy  = Uy - 3*xTitleHeight - height/2 - 3*RUT;  // Y Ursprung

	C[0].P[1] = Ux;
	C[0].P[2] = Uy;
	C[0].P[3] = height;	
	C[0].P[4] = height; 
		
  return(GFontSize);  
}
 


