/*********************************************************************
*                                                                    *
*     Umrechnungsfunktionen                                          *
*                                                                    *
*     Programmautor: Rainer Sieger, AWI-Bremerhaven                  *
*     Datei erstellt am: 13.11.95                                    *
*     Letzte Aenderung: 18.12.96                                     *
*                                                                    *
*********************************************************************/

#include <windows.h>
#include <math.h>

#include "Struct.h"

#include "Plotter.h"

/*********************************************************************
*--------------------------------------------------------------------*
*---------------------- Funktionen ----------------------------------*
*-------------------------------------------------------------------*/
      
float xinpx (float a, float b, float x)
{
	return(x*a-b);
}	
      
/*-------------------------------------------------------------------*/
      
float yinpy (float a, float b, float y)
{
	return(y*a-b);
}	
            
/*-------------------------------------------------------------------*/
      
void CalcPy(int x1, int y1, int x2, int y2, int Sx, int *x, int *y)
{
	int dx, dy;
	
  dx = x2-x1;
  dy = y2-y1;
  *x  = Sx;
  
  if (dx == 0)
    *y = y1;
  else  
    *y = dy*(Sx-x1)/dx + y1;
}

/*-------------------------------------------------------------------*/
      
void CalcPx(int x1, int y1, int x2, int y2, int Sy, int *x, int *y)
{
	int dx, dy;

  dx = x2-x1;
  dy = y2-y1;
  *y  = Sy;
  
  if (dy == 0)
    *x = x2;
  else
    *x = dx*(Sy-y1)/dy + x1;
}

