/*******************************************************************
*                                                                  *
*    disableLatLong.c -- Ausschalten der Parameter Latitude,       *
*                        Longitude                                 *
*                                                                  *
*    Dr. Rainer Sieger, Universitt Bremen, 27.08.2002             *
*                                                                  *
*                                                                  *
*******************************************************************/

#include <windows.h>
#include <string.h>
#include <stdio.h>

#include "Struct.h"
#include "Globals.h"

#include "disableLatLong.h"

void disableLatLong(int NumOfParameters)
{
	int j = 0;

  if ((NumOfParameters > 0) && (C[0].counts > 1))
	{
    for (j=1;j<=NumOfParameters;j++)  
		{
			if (!strcmp((char *) C[j].Header, "LATITUDE"))
				ST[j].PlotData = 0;
			if (!strcmp((char *) C[j].Header, "LONGITUDE"))
				ST[j].PlotData = 0;
			if (!strcmp((char *) C[j].Header, "Longitude"))
				ST[j].PlotData = 0;
			if (!strcmp((char *) C[j].Header, "Latitude"))
				ST[j].PlotData = 0;
			if (strstr((char *) C[j].Header, "Parameter "))
				ST[j].PlotData = 0;
		}
	}
}

