/*********************************************************************
*                                                                    *
*     CalcLog; Logarithmic scale                                     *
*                                                                    *
*     Programmautor: Rainer Sieger, AWI-Bremerhaven                  *
*     Datei erstellt am: 9.5.96                                      *
*     Letzte Aenderung: 06.05.98                                     *
*                                                                    *
*********************************************************************/

#include <windows.h>
#include <math.h>

#include "struct.h"
#include "globals.h"

#include "SetMouseCursor.h"
#include "CheckData.h"
#include "CalcLog.h"

void CalcLog(void)
{
    int  j = 0;
    
    unsigned long i = 0;
    unsigned long k = 0;
      
// ***********
// ***********

   	SetWaitMouseCursor();
     		
    for (j=1;j<=gNumOfParameters;j++)  
    {
      	if (ST[j].LogarithmicScale == 1)
      	{
	        k = C[j].Offset;
		      for (i=k+1;i<=k+C[j].counts;i++)
		        if (Q[i].I > 0)
		          Q[i].V = (float) log10((double) Q[i].V);
		      ST[j].LogarithmicScale = 2;
		    }
      	if (ST[j].LogarithmicScale < 0)
      	{
	        k = C[j].Offset;
		      for (i=k+1;i<=k+C[j].counts;i++)
		        if (Q[i].I > 0)
		          Q[i].V = (float) pow(10,(double) Q[i].V);
		      ST[j].LogarithmicScale = 0;
		    }
		}

		SetDefaultMouseCursor();
}

